Target version:

Resolution: Duplicate

Description

As in Ticket #25799 mentioned, there would be a little improvement for the ticket import via CSV useful: We want to use ticket
imports for new projects, where we have our standard tickets. But we don’t need all of these tickets for every new project. When
deleting some rows, the relational row-link to the parent ticket can change. So it would help to relate to a defined ID-Column or
something, where the ID doesn’t change, even if rows are deleted inbetween.

Related issues:
Related to Redmine - Feature #28213: Support external ID when importing issues Closed

History

#1 - 2018-02-20 13:04 - Gregor Schmidt

In #28213, I've proposed a patch to support this use case.

#2 - 2018-02-21 03:21 - Mischa The Evil
- Related to Feature #28213: Support external ID when importing issues added

#3 - 2020-05-05 06:29 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Robert Barnebeck wrote:

So it would help to relate to a defined ID-Column or something, where the ID doesn’t change, even if rows are deleted inbetween.

The CSV import feature of Redmine 4.1.0 has the beature. See #28213 for details.
